F.A.Q.

These are some basic questions that we feel should be answered.

Q: Do I need a high-end computer in order to run this modpack?

A: You shouldn’t need a high-end gaming computer to play this modpack. If your computer can handle Minecraft, it should be able to handle this pack with no problem. For more info, see System Requirements.


Q: Are all of these mods legal?

A: Yes! We have permission from all of the mod authors to include their mods in our pack. Some of the mods included are also Open Source or protected under the MIT License, meaning that redistribution is allowed.


Q: Can I run a server using this modpack?

A: Absolutely! Please feel free to run a server using our modpack as a base!


Q: How do I submit ideas for mod additions?

A: You can do so via our Facebook page! However, submitting an idea for a mod doesn’t guarantee that it’ll be added into our pack.


Q: Can I help work on the pack / Facebook Page / Website?

A: We appreciate your interest, but we have to say “no” to this one. Sorry.


Q: I found a bug!

A: That’s not a question, but please do report it via our “Bug Reports” page!


Q: Why don’t you use ATLauncher or FTB to host your Modpack?

A: This question has a not-so-easy answer. We originally chose Technic because of the Technic Platform and its flexibility. We’d love to have our modpack on ATLauncher or FTB but it doesn’t look like that’ll be happening soon. If we’re presented with the opportunity to have our pack hosted on these networks, we’ll gladly take it.